Package org.eclipse.microprofile.fault.tolerance.tck.retry.clientserver

# Class RetryClientWithNoDelayAndJitter

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.retry.clientserver.RetryClientWithNoDelayAndJitter

@RequestScoped public class RetryClientWithNoDelayAndJitter extends Object
A client to demonstrate the delay configurations

Author:
  Bruno Baptista

## Constructor Summary

Constructors
Constructor
Description
`RetryClientWithNoDelayAndJitter()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getRetryCountForConnectionService()`
`int`
`positiveDelays()`
`Connection`
`serviceA()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RetryClientWithNoDelayAndJitter

public RetryClientWithNoDelayAndJitter()

## Method Details

### serviceA

@Retry(delay=0L, maxDuration=3200L, jitter=400L, maxRetries=100) public Connection serviceA()

### getRetryCountForConnectionService

public int getRetryCountForConnectionService()

### positiveDelays

public int positiveDelays()